import request from '@/utils/request'

// 查询商品列表列表
export function listProduct(query) {
  return request({
    url: '/service/product/list',
    method: 'get',
    params: query
  })
}

// 查询商品列表详细
export function getProduct(id) {
  return request({
    url: '/service/product/' + id,
    method: 'get'
  })
}

// 新增商品列表
export function addProduct(data) {
  return request({
    url: '/service/product',
    method: 'post',
    data: data
  })
}

// 修改商品列表
export function updateProduct(data) {
  return request({
    url: '/service/product',
    method: 'put',
    data: data
  })
}

// 删除商品列表
export function delProduct(id) {
  return request({
    url: '/service/product/' + id,
    method: 'delete'
  })
}

// 上架/下架商品
export function changeProductStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/service/product/status',
    method: 'put',
    data: data
  })
}